<?php
/**
 * GEP提现申请
 * @author mucang
 *
 */
header("Content-type: text/html; charset=utf-8");
require_once '../../util/GepUtil.php';

    $url = '/api/withdrawal/apply-withdrawal';
    $dataContentMap = array(
        "userNo" => "5181240322000274308",
        "userReqNo" => GepUtil::generateRandomString(), // 使用GepUtils类生成随机字符串
        "fixedModel" => "1", // 固定模式：1-固定付款金额，2-固定收款金额
        "paymentCcy" => "USD",
        "payeeCcy" => "CNH",
        "paymentPurpose" => "1",
        "paymentReference" => "payment",
        "costBorne" => "OUR", // 费用承担方式：SHA-非全额到账、OUR-全额到账、BEN-收款人承担
        "cardNo" => "1688888881",
        "accountName" => "GEP Testing Co., Ltd",
        "paymentFeeCcy" => "USD",
        "callBackUrl" => "",
        "payerUserNo" => ""
    );
    
    // 根据fixedModel的值来设置不同的付款和收款金额
    if ($dataContentMap["fixedModel"] === "1") { // 固定模式：1-固定付款金额
        $dataContentMap["paymentAmount"] = "1001";
    } elseif ($dataContentMap["fixedModel"] === "2") { // 固定模式：2-固定收款金额
        $dataContentMap["payeeAmount"] = "1001";
    }

    $result = GepUtil::sendRequest($url, $dataContentMap);
	// TODO 自行处理业务逻辑