<?php
/**
 * GEP汇款申请
 * @author mucang
 *
 */
header("Content-type: text/html; charset=utf-8");
require_once '../../util/GepUtil.php';

    $url = '/api/payment/applyPayment';
    $dataContentMap = array(
        "userNo" => "5181240322000274308",
        "userReqNo" => GepUtil::generateRandomString(), // 使用GepUtils类生成随机字符串
        "paymentMode" => "SWIFT", // SWIFT、LOCAL、BILLPAY、BPAY,为空则默认SWIFT
        "paymentCcy" => "USD",
        "payeeCcy" => "USD",
        "fixedModel" => "1", // 固定模式：1-固定付款金额，2-固定收款金额
        "paymentPurpose" => "1",
        "paymentReference" => "Payment for goods",
        "costBorne" => "BEN", // 费用承担方式：SHA-非全额到账、OUR-全额到账、BEN-收款人承担
        "paymentMaterial" => 13330095,
        "cardNo" => "168888888",
        "accountName" => "GEP Testing Co., Ltd",
        "businessNo" => "2407151516000002618",
        "paymentFeeCcy" => "USD",
        "callBackUrl" => ""
    );
    
    // 根据fixedModel的值来设置不同的付款和收款金额
    if ($dataContentMap["fixedModel"] === "1") { // 1-固定付款金额
        $dataContentMap["paymentAmount"] = "100";
        $dataContentMap["payeeAmount"] = "0";
    } elseif ($dataContentMap["fixedModel"] === "2") { // 2-固定收款金额
        $dataContentMap["payeeAmount"] = "100";
        $dataContentMap["paymentAmount"] = "0";
    }

    $result = GepUtil::sendRequest($url, $dataContentMap);
	// TODO 自行处理业务逻辑